Delete Graph Entities
curl --request DELETE \
--url https://api.example.com/admin/v1/item-graph/entities \
--header 'Content-Type: application/json' \
--data '
{
"memoryId": "<string>",
"entityKeys": [
"<string>"
]
}
'import requests
url = "https://api.example.com/admin/v1/item-graph/entities"
payload = {
"memoryId": "<string>",
"entityKeys": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({memoryId: '<string>', entityKeys: ['<string>']})
};
fetch('https://api.example.com/admin/v1/item-graph/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/v1/item-graph/entities"
payload := strings.NewReader("{\n \"memoryId\": \"<string>\",\n \"entityKeys\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"deletedCount": 123,
"affectedMemoryIds": [
"<string>"
],
"deletedAliases": 123,
"deletedMentions": 123,
"deletedCooccurrences": 123,
"possiblyStaleEntityOverlapLinks": 123
}
}Item Graph
Delete Graph Entities
DELETE
/
admin
/
v1
/
item-graph
/
entities
Delete Graph Entities
curl --request DELETE \
--url https://api.example.com/admin/v1/item-graph/entities \
--header 'Content-Type: application/json' \
--data '
{
"memoryId": "<string>",
"entityKeys": [
"<string>"
]
}
'import requests
url = "https://api.example.com/admin/v1/item-graph/entities"
payload = {
"memoryId": "<string>",
"entityKeys": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({memoryId: '<string>', entityKeys: ['<string>']})
};
fetch('https://api.example.com/admin/v1/item-graph/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/v1/item-graph/entities"
payload := strings.NewReader("{\n \"memoryId\": \"<string>\",\n \"entityKeys\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"deletedCount": 123,
"affectedMemoryIds": [
"<string>"
],
"deletedAliases": 123,
"deletedMentions": 123,
"deletedCooccurrences": 123,
"possiblyStaleEntityOverlapLinks": 123
}
}The API Reference is under active development. Request and response schemas may change before a stable release.

